Commit 3ab70fc1 authored by Delaigue Olivier's avatar Delaigue Olivier
Browse files

v0.2.6.31 BUG: add a startup message to warning about the version of htmlwidgets

parent 2d9c6080
Package: airGRteaching
Type: Package
Title: Teaching Hydrological Modelling with the GR Rainfall-Runoff Models ('Shiny' Interface Included)
Version: 0.2.6.30
Date: 2019-06-21
Version: 0.2.6.31
Date: 2020-01-07
Authors@R: c(
person("Olivier", "Delaigue", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-7668-8468"), email = "airGR@irstea.fr"),
person("Olivier", "Delaigue", role = c("aut", "cre"), comment = c(ORCID = "0000-0002-7668-8468"), email = "airGR@inrae.fr"),
person("Laurent", "Coron", role = c("aut"), comment = c(ORCID = "0000-0002-1503-6204")),
person("Pierre", "Brigode", role = c("aut"), comment = c(ORCID = "0000-0001-8257-0741")),
person("Guillaume", "Thirel", role = c("ctb"), comment = c(ORCID = "0000-0002-1444-1830"))
)
Depends: airGR (>= 1.2.13.16)
Depends: airGR (>= 1.3.2.23)
Imports: dygraphs (>= 1.1.1.6), markdown, plotrix, shiny (>= 1.1.0), shinyjs (>= 1.0), xts
Suggests: knitr
Description: Add-on package to the 'airGR' package that simplifies its use and is aimed at being used for teaching hydrology. The package provides 1) three functions that allow to complete very simply a hydrological modelling exercise 2) plotting functions to help students to explore observed data and to interpret the results of calibration and simulation of the GR ('Génie rural') models 3) a 'Shiny' graphical interface that allows for displaying the impact of model parameters on hydrographs and models internal variables.
......
......@@ -14,7 +14,7 @@ output:
### 0.2.6.23 Release Notes (2019-06-21)
### 0.2.6.31 Release Notes (2020-01-23)
____________________________________________________________________________________
......
.onAttach <- function(libname, pkgname) {
if (packageVersion("htmlwidgets") <= "1.5.1") {
base::packageStartupMessage("\n---------------------------\n")
base::packageStartupMessage("This version of 'airGRteaching' is designed to work with 'htmlwidgets' >= 1.5.1.9000 (troubles with 'dygraphs')")
base::packageStartupMessage("Install the latest version of 'htmlwidgets' from GitHub with the following command lines:")
base::packageStartupMessage("\tinstall.packages(\"remotes\")\n\tremotes::install_github(\"ramnathv/htmlwidgets\")")
base::packageStartupMessage("\n---------------------------\n")
}
}
## =================================================================================
## commands to avoid warnings during package checking when global variables are used
## =================================================================================
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment